## ros-rolling-run-move-group 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(run_move_group)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(moveit_ros_planning_interface REQUIRED)
# This shouldn't be necessary (required by moveit_simple_controller_manager)
find_package(rosidl_default_runtime REQUIRED)
find_package(Boost REQUIRED COMPONENTS system)
# uncomment the following section in order to fill in
# further dependencies manually.
# find_package(<dependency> REQUIRED)

add_executable(run_move_group src/run_move_group.cpp)
ament_target_dependencies(run_move_group
  moveit_ros_planning_interface
  Boost
)

install(TARGETS run_move_group
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  INCLUDES DESTINATION include
)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-run-move-group (2.3.0-1focal) focal; urgency=high

  * Migrate to joint_state_broadcaster (#657 <https://github.com/ros-planning/moveit2/issues/657>)
  * Add missing exec dependencies to demo packages (#581 <https://github.com/ros-planning/moveit2/issues/581>)
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Contributors: Henning Kayser, Jafar Abdi, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Oct 2021 21:00:00 -0000

ros-rolling-run-move-group (2.2.1-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Jul 2021 21:00:00 -0000

ros-rolling-run-move-group (2.2.0-1focal) focal; urgency=high

  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
  * Contributors: JafarAbdi

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 29 Jun 2021 21:00:00 -0000

ros-rolling-run-move-group (2.1.4-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 30 May 2021 21:00:00 -0000

ros-rolling-run-move-group (2.1.3-1focal) focal; urgency=high

  * Load panda_hand_controller (#460 <https://github.com/ros-planning/moveit2/issues/460>)
  * Contributors: Jafar Abdi

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 May 2021 21:00:00 -0000

ros-rolling-run-move-group (2.1.2-1focal) focal; urgency=high

  * Remove move_group namespace from MotionPlanning display (#420 <https://github.com/ros-planning/moveit2/issues/420>)
  * Fix node install directory in run_move_group (#418 <https://github.com/ros-planning/moveit2/issues/418>)
  * Contributors: Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 19 Apr 2021 21:00:00 -0000

ros-rolling-run-move-group (2.1.1-1focal) focal; urgency=high

  * Update launch files to use ros2 control spawner (#405 <https://github.com/ros-planning/moveit2/issues/405>)
  * Use fake_components::GenericSystem from ros2_control (#361 <https://github.com/ros-planning/moveit2/issues/361>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * MTC compatibility fixes (#323 <https://github.com/ros-planning/moveit2/issues/323>)
  * Fix node remapping
  * Contributors: Henning Kayser, Jafar Abdi, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Apr 2021 21:00:00 -0000

ros-rolling-run-move-group (2.1.0-1focal) focal; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] Update MoveIt logo URLs in the demos' README (#289 <https://github.com/ros-planning/moveit2/issues/289>)
  * [ros2-migration] Port moveit_ros_warehouse to ROS 2 (#273 <https://github.com/ros-planning/moveit2/issues/273>)
    * Port moveit_ros_warehouse package.xml, CMakeLists.txt
    * Apply ROS 2 migration steps
    * Enable warehouse in motion_planning_frame
    * Run mongo db in run_move_group.launch
  * [ros2-migration] Port MoveGroupInterface and MotionPlanning display (#272 <https://github.com/ros-planning/moveit2/issues/272>)
  * Contributors: Henning Kayser, Jafar Abdi, Lior Lustgarten, Yu Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 22 Nov 2020 21:00:00 -0000

ros-rolling-run-move-group (1.1.1-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Oct 2020 21:00:00 -0000

ros-rolling-run-move-group (1.1.0-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Sep 2020 21:00:00 -0000

ros-rolling-run-move-group (1.0.1-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Mar 2019 21:00:00 -0000

ros-rolling-run-move-group (1.0.0-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 23 Feb 2019 21:00:00 -0000

ros-rolling-run-move-group (0.10.8-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Dec 2018 21:00:00 -0000

ros-rolling-run-move-group (0.10.5-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 31 Oct 2018 21:00:00 -0000

ros-rolling-run-move-group (0.10.4-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 16:44:00 -0000

ros-rolling-run-move-group (0.10.3-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 01:12:00 -0000

ros-rolling-run-move-group (0.10.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 23 Oct 2018 21:00:00 -0000

ros-rolling-run-move-group (0.10.1-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 24 May 2018 21:00:00 -0000

ros-rolling-run-move-group (0.10.0-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 21 May 2018 21:00:00 -0000

ros-rolling-run-move-group (0.9.11-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 24 Dec 2017 21:00:00 -0000

ros-rolling-run-move-group (0.9.10-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Dec 2017 21:00:00 -0000

ros-rolling-run-move-group (0.9.9-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 05 Aug 2017 21:00:00 -0000

ros-rolling-run-move-group (0.9.8-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 20 Jun 2017 21:00:00 -0000

ros-rolling-run-move-group (0.9.7-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 04 Jun 2017 21:00:00 -0000

ros-rolling-run-move-group (0.9.6-1focal) focal; urgency=high





=== debian/control ===
Source: ros-rolling-run-move-group
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-moveit-common, ros-rolling-moveit-ros-planning-interface, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-run-move-group
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-controller-manager, ros-rolling-moveit-resources-panda-moveit-config, ros-rolling-moveit-ros-move-group, ros-rolling-moveit-ros-planning-interface, ros-rolling-robot-state-publisher, ros-rolling-rviz2, ros-rolling-tf2-ros, ros-rolling-warehouse-ros-mongo, ros-rolling-ros-workspace
Description: Demo launch file for running a MoveGroup setup

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-run-move-group//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
